public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Nicolas Bock" <nicolasbock@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: mail-client/neomutt/
Date: Fri, 29 Apr 2022 18:32:58 +0000 (UTC)	[thread overview]
Message-ID: <1651257160.366dff1d38f4bf4ca1ea2467cbb87876f907b920.nicolasbock@gentoo> (raw)

commit:     366dff1d38f4bf4ca1ea2467cbb87876f907b920
Author:     Nicolas Bock <nicolasbock <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 29 18:30:04 2022 +0000
Commit:     Nicolas Bock <nicolasbock <AT> gentoo <DOT> org>
CommitDate: Fri Apr 29 18:32:40 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=366dff1d

mail-client/neomutt: Version bump to 20220429

Signed-off-by: Nicolas Bock <nicolasbock <AT> gentoo.org>

 mail-client/neomutt/Manifest                |   1 +
 mail-client/neomutt/neomutt-20220429.ebuild | 171 ++++++++++++++++++++++++++++
 2 files changed, 172 insertions(+)

diff --git a/mail-client/neomutt/Manifest b/mail-client/neomutt/Manifest
index 5749f04cd9b4..92f1651f0e2d 100644
--- a/mail-client/neomutt/Manifest
+++ b/mail-client/neomutt/Manifest
@@ -4,4 +4,5 @@ DIST neomutt-20211022.tar.gz 3731092 BLAKE2B 764b82e1fffda57949b063b2c7b9a0c747c
 DIST neomutt-20211029.tar.gz 3702926 BLAKE2B 28868799da89d0acfe75b07b6716b25cd827a187711ed011a46b90135358521eccf4a6cd8938983342d4cdd04ffc951cdbf4531f9f48e2209e58e8133932df3a SHA512 7335a4451aa8657aa83988b42fb78c5ebdc82ce4395d93d1eb2fded36b02d3fac9b8fed3cf1353042ecebe11e6ccdd9d403b99f068555693901b1700791e3ae0
 DIST neomutt-20220408.tar.gz 3764512 BLAKE2B a2f4d86960d6c47f91654af1752cf1d64df0a6822c9d8376ae31d070a2725f2a2d74eda9cd407b1bfe7f5145ef6311a3a7fc15a3d541dd4400d9ea5ddac12444 SHA512 c9cd4a36ca7bb349a510cc007884dfe677080805c69262de23dea4c29b7e42bd33d5c2abfd8924045e0baff0b6e23241433eee99600fac371b54bcb9b0b6d96d
 DIST neomutt-20220415.tar.gz 3770700 BLAKE2B 610632a8de6f407b2a33156890f33b64a7cfc80eef84cda4c5e18d1da87669c8a4cf2b4a0b269d6c338f546e83a349dc33608b9f21d1f6889efaa89d669f80e4 SHA512 8723416fe0ed325d8f0e49f6a77f2724e23e0e81c5786f15005cb05b47c0fc7f722f61a58fe0250dd5a2dac6f40b155b6bac202e6316662a1855265670affc92
+DIST neomutt-20220429.tar.gz 3774374 BLAKE2B a67ae009bc24335693bb7abc2b1de5a957a4d912755f460ae205050963dc4556896a6f94971a7d113a5af8202d8a6ecff4cfff16c157725d4792eb31f5402a64 SHA512 ce151cabe9fe0c45f379dd7a71790f600faa9283c79a486c1421b5fe3b19b7f12d71dc36ec330e1b28b26ed83bf4c47b656ca823c484105ea3f80ef9166e7f0b
 DIST neomutt-test-files-8629adab700a75c54e8e28bf05ad092503a98f75.tar.gz 3673 BLAKE2B 50354f19aedc5fc07d59ecb5b38fa65de16119bc0929f47014bd35dab4d3a4e5953c8b35670f3440003cf0cbccc2d0d2b3a869dc929cdc3cd60b02790270fb54 SHA512 3d4962210bc558234d818801dcaa7851a0aef011c96d91c054af535186ffda42059fc61fb148c48e1b076999fe3159b31589a69a29ed1897f8928f52fcc157d3

diff --git a/mail-client/neomutt/neomutt-20220429.ebuild b/mail-client/neomutt/neomutt-20220429.ebuild
new file mode 100644
index 000000000000..b3f780bca0ac
--- /dev/null
+++ b/mail-client/neomutt/neomutt-20220429.ebuild
@@ -0,0 +1,171 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+if [[ ${PV} =~ 99999999$ ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/neomutt/neomutt.git"
+else
+	SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~ppc64 ~x86"
+fi
+
+TEST_FILES_COMMIT=8629adab700a75c54e8e28bf05ad092503a98f75
+SRC_URI+=" test? ( https://github.com/${PN}/neomutt-test-files/archive/${TEST_FILES_COMMIT}.tar.gz -> neomutt-test-files-${TEST_FILES_COMMIT}.tar.gz )"
+
+DESCRIPTION="A small but very powerful text-based mail client"
+HOMEPAGE="https://neomutt.org/"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="autocrypt berkdb doc gdbm gnutls gpgme idn kerberos kyotocabinet
+	lmdb lz4 nls notmuch pgp-classic qdbm sasl selinux slang smime-classic
+	ssl tokyocabinet test zlib zstd"
+REQUIRED_USE="
+	autocrypt? ( gpgme )"
+
+CDEPEND="
+	app-misc/mime-types
+	berkdb? (
+		|| (
+			sys-libs/db:6.2
+			sys-libs/db:5.3
+			sys-libs/db:4.8
+		)
+		<sys-libs/db-6.3:=
+	)
+	gdbm? ( sys-libs/gdbm:= )
+	kyotocabinet? ( dev-db/kyotocabinet )
+	lmdb? ( dev-db/lmdb:= )
+	nls? ( virtual/libintl )
+	qdbm? ( dev-db/qdbm )
+	tokyocabinet? ( dev-db/tokyocabinet )
+	gnutls? ( >=net-libs/gnutls-1.0.17:= )
+	gpgme? ( >=app-crypt/gpgme-1.13.1:= )
+	autocrypt? ( >=dev-db/sqlite-3 )
+	idn? ( net-dns/libidn:= )
+	kerberos? ( virtual/krb5 )
+	notmuch? ( net-mail/notmuch:= )
+	sasl? ( >=dev-libs/cyrus-sasl-2 )
+	!slang? ( sys-libs/ncurses:0= )
+	slang? ( sys-libs/slang )
+	ssl? ( >=dev-libs/openssl-1.0.2u:0= )
+	lz4? ( app-arch/lz4 )
+	zlib? ( sys-libs/zlib )
+	zstd? ( app-arch/zstd )
+"
+DEPEND="${CDEPEND}
+	dev-lang/tcl:=
+	net-mail/mailbase
+	doc? (
+		dev-libs/libxml2
+		dev-libs/libxslt
+		app-text/docbook-xsl-stylesheets
+		|| (
+			www-client/lynx
+			www-client/w3m
+			www-client/elinks
+		)
+	)
+"
+RDEPEND="${CDEPEND}
+	selinux? ( sec-policy/selinux-mutt )
+"
+
+RESTRICT="!test? ( test )"
+
+src_unpack() {
+	if [[ -n ${A} ]]; then
+		unpack ${A}
+	fi
+	if [[ ${PV} =~ 99999999$ ]]; then
+		git-r3_src_unpack
+	fi
+}
+
+src_configure() {
+	local myconf=(
+		"$(usex doc --full-doc --disable-doc)"
+		"$(use_enable nls)"
+		"$(use_enable notmuch)"
+
+		"$(use_enable autocrypt)"
+		"$(use_enable gpgme)"
+		"$(use_enable pgp-classic pgp)"
+		"$(use_enable smime-classic smime)"
+
+		# Database backends.
+		"$(use_enable berkdb bdb)"
+		"$(use_enable gdbm)"
+		"$(use_enable kyotocabinet)"
+		"$(use_enable qdbm)"
+		"$(use_enable tokyocabinet)"
+
+		# Header compression.
+		"$(use_enable lz4)"
+		"$(use_enable zlib)"
+		"$(use_enable zstd)"
+
+		"$(use_enable idn)"
+		"$(use_enable kerberos gss)"
+		"$(use_enable lmdb)"
+		"$(use_enable sasl)"
+		"--with-ui=$(usex slang slang ncurses)"
+		"--sysconfdir=${EPREFIX}/etc/${PN}"
+		"$(use_enable ssl)"
+		"$(use_enable gnutls)"
+
+		"$(usex test --testing --disable-testing)"
+	)
+
+	econf CCACHE=none CC_FOR_BUILD="$(tc-getCC)" "${myconf[@]}"
+}
+
+src_test() {
+	local test_dir="$(readlink --canonicalize ${S}/../neomutt-test-files-${TEST_FILES_COMMIT})"
+	pushd ${test_dir} || die "Could not cd into test_dir"
+	NEOMUTT_TEST_DIR="${test_dir}" ./setup.sh \
+		|| die "Failed to run the setup.sh script"
+	popd || die "Could not cd back"
+	NEOMUTT_TEST_DIR="${test_dir}" emake test
+}
+
+src_install() {
+	emake DESTDIR="${D}" install
+
+	# A man-page is always handy, so fake one - here neomuttrc.5 (neomutt.1
+	# already exists)
+	if use !doc; then
+		sed -n \
+			-e '/^\(CC_FOR_BUILD\|CFLAGS_FOR_BUILD\)\s*=/p' \
+			-e '/^\(EXTRA_CFLAGS_FOR_BUILD\|LDFLAGS_FOR_BUILD\)\s*=/p' \
+			-e '/^\(EXEEXT\|SRCDIR\)\s*=/p' \
+			Makefile > docs/Makefile.fakedoc || die
+		sed -n \
+			-e '/^MAKEDOC_CPP\s*=/,/^\s*$/p' \
+			-e '/^docs\/\(makedoc$(EXEEXT)\|neomutt\.1\|neomuttrc\.5\)\s*:/,/^\s*$/p' \
+			docs/Makefile.autosetup >> docs/Makefile.fakedoc || die
+		emake -f docs/Makefile.fakedoc docs/neomutt.1
+		emake -f docs/Makefile.fakedoc docs/neomuttrc.5
+		doman docs/neomutt.1 docs/neomuttrc.5
+	fi
+
+	dodoc LICENSE* ChangeLog* README*
+}
+
+pkg_postinst() {
+	if use gpgme && ( use pgp-classic || use smime-classic ); then
+		ewarn "  Note that gpgme (old gpg) includes both pgp and smime"
+		ewarn "  support.  You can probably remove pgp-classic (old crypt)"
+		ewarn "  and smime-classic (old smime) from your USE-flags and"
+		ewarn "  only enable gpgme."
+	fi
+
+	if use autocrypt && ! use idn; then
+		ewarn "  It is highly recommended that NeoMutt be also configured"
+		ewarn "  with idn when autocrypt is enabled."
+	fi
+}


             reply	other threads:[~2022-04-29 18:33 UTC|newest]

Thread overview: 129+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-04-29 18:32 Nicolas Bock [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-25  6:27 [gentoo-commits] repo/gentoo:master commit in: mail-client/neomutt/ Arthur Zamarin
2024-05-25  6:27 Arthur Zamarin
2024-05-12 23:00 Marc Schiffbauer
2024-05-12 23:00 Marc Schiffbauer
2024-02-19 13:36 Marc Schiffbauer
2023-12-21 17:47 Nicolas Bock
2023-12-21 17:47 Nicolas Bock
2023-11-14 14:40 Nicolas Bock
2023-11-14 14:24 Nicolas Bock
2023-11-14 14:20 Nicolas Bock
2023-11-14 14:19 Nicolas Bock
2023-11-14  4:32 Nicolas Bock
2023-11-03 15:05 Nicolas Bock
2023-10-29 11:33 Marc Schiffbauer
2023-10-28 17:24 Nicolas Bock
2023-05-17 19:01 Nicolas Bock
2023-05-12 17:56 Nicolas Bock
2023-05-12 17:54 Nicolas Bock
2023-05-05 13:47 Nicolas Bock
2023-05-02 20:31 Nicolas Bock
2023-04-27 16:25 Nicolas Bock
2023-04-07 10:07 Sam James
2023-03-23 13:22 Nicolas Bock
2023-03-23  3:42 Sam James
2023-03-22 17:26 Nicolas Bock
2023-03-22 17:26 Nicolas Bock
2023-01-06 20:03 Arthur Zamarin
2023-01-06 20:03 Arthur Zamarin
2022-08-30  8:27 Jakov Smolić
2022-06-16 16:30 Sam James
2022-05-23 19:37 Nicolas Bock
2022-04-26  2:27 Sam James
2022-04-15 18:29 Nicolas Bock
2022-04-08 17:04 Nicolas Bock
2022-03-28  6:53 Agostino Sarubbo
2022-03-26 19:47 Agostino Sarubbo
2022-03-26  0:12 Sam James
2022-03-08 22:03 Nicolas Bock
2021-10-29 19:19 Nicolas Bock
2021-10-22 13:42 Nicolas Bock
2021-10-15 17:41 Nicolas Bock
2021-09-28 16:38 Nicolas Bock
2021-05-26  8:09 Thomas Deutschmann
2021-05-25 19:10 Agostino Sarubbo
2021-05-25 18:58 Agostino Sarubbo
2021-05-14  0:22 Sam James
2021-04-30 12:47 Mikle Kolyada
2021-03-10 14:32 Nicolas Bock
2021-02-05 18:58 Nicolas Bock
2021-01-25 23:39 Sam James
2020-12-13  0:16 Sam James
2020-12-03 15:26 Nicolas Bock
2020-12-02  3:06 Thomas Deutschmann
2020-12-01 14:02 Nicolas Bock
2020-12-01 12:10 Sam James
2020-11-30 16:53 Nicolas Bock
2020-11-27 15:34 Nicolas Bock
2020-11-23 17:49 Nicolas Bock
2020-11-22 19:10 Nicolas Bock
2020-11-01 11:18 Georgy Yakovlev
2020-11-01 11:18 Georgy Yakovlev
2020-09-25 14:46 Nicolas Bock
2020-09-25 13:59 Nicolas Bock
2020-08-26 11:45 Nicolas Bock
2020-08-26 11:45 Nicolas Bock
2020-07-29  0:20 Sam James
2020-07-27 22:25 Sam James
2020-07-27 21:15 Sam James
2020-07-27 19:51 Nicolas Bock
2020-07-27 19:51 Nicolas Bock
2020-06-29 14:29 Thomas Deutschmann
2020-06-29 13:25 Nicolas Bock
2020-06-29 13:16 Nicolas Bock
2020-06-19 20:12 Nicolas Bock
2020-05-11 12:53 Nicolas Bock
2020-05-01 23:45 Nicolas Bock
2020-04-26 11:55 Nicolas Bock
2020-04-25 13:22 Nicolas Bock
2020-04-20 11:44 Nicolas Bock
2020-03-20 14:06 Nicolas Bock
2020-03-13 17:15 Nicolas Bock
2020-03-13 17:12 Nicolas Bock
2020-03-13 17:07 Nicolas Bock
2020-03-13 17:04 Nicolas Bock
2019-12-09 13:06 Nicolas Bock
2019-11-29 21:26 Nicolas Bock
2019-11-11 12:38 Nicolas Bock
2019-11-06  5:29 Nicolas Bock
2019-11-06  3:13 Nicolas Bock
2019-11-02 15:04 Thomas Deutschmann
2019-11-02 12:03 Nicolas Bock
2019-10-11 18:15 Nicolas Bock
2019-10-11 12:40 Nicolas Bock
2019-08-11  8:45 Michał Górny
2018-10-07  0:10 Mikle Kolyada
2018-10-06 23:05 Thomas Deutschmann
2018-07-24 17:42 Nicolas Bock
2018-06-23 18:09 Mikle Kolyada
2018-06-22 14:52 Nicolas Bock
2018-06-06 12:02 Nicolas Bock
2018-06-06 12:01 Nicolas Bock
2018-06-06 11:47 Nicolas Bock
2018-06-06 11:47 Nicolas Bock
2018-06-06 11:47 Nicolas Bock
2018-06-04 15:18 Nicolas Bock
2018-06-03 14:00 Nicolas Bock
2018-04-04 22:17 Nicolas Bock
2018-04-03 13:39 Nicolas Bock
2018-02-23 12:34 Nicolas Bock
2018-02-23 12:34 Nicolas Bock
2018-01-24 21:53 Nicolas Bock
2018-01-24 21:40 Nicolas Bock
2018-01-03 13:07 Nicolas Bock
2017-12-27 13:11 Nicolas Bock
2017-12-15 12:24 Nicolas Bock
2017-12-14 13:56 Nicolas Bock
2017-12-13 15:50 Nicolas Bock
2017-12-09 13:29 Nicolas Bock
2017-12-03 17:39 Nicolas Bock
2017-12-03 16:31 Nicolas Bock
2017-12-03 13:41 Nicolas Bock
2017-12-03 13:41 Nicolas Bock
2017-12-02 14:29 Nicolas Bock
2017-11-20 12:42 Nicolas Bock
2017-11-20 12:22 Nicolas Bock
2017-10-27 15:32 Nicolas Bock
2017-10-13 16:04 Nicolas Bock
2017-10-04 11:41 Nicolas Bock

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1651257160.366dff1d38f4bf4ca1ea2467cbb87876f907b920.nicolasbock@gentoo \
    --to=nicolasbock@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox